.\"
.\" Copyright (c) 1994 Christian E. Hopps
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Christian E. Hopps.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: atzsc.4,v 1.9 2001/06/13 23:38:30 wiz Exp $
.\"
.Dd August 31, 1994
.Dt ATZSC 4 amiga
.Os
.Sh NAME
.Nm atzsc
.Nd A2091 low level SCSI interface
.Sh SYNOPSIS
.Cd "atzsc0 at zbus0"
.Sh DESCRIPTION
The
.Tn Amiga
architecture uses a common machine independent scsi sub-system
provided in the kernel source.  The machine independent
drivers that use this code access the hardware through a
common interface. (see
.Xr scsibus 4 )
This common interface interacts with a machine dependent interface,
such as
.Nm atzsc ,
which then handles the hardware specific issues.
.Pp
The
.Nm
interface handles things such as DMA and interrupts as well as
actually sending commands, negotiating synchronous or asynchronous
transfers and handling disconnect/reconnect of SCSI targets.
The hardware that
.Nm
uses is based on the WD33c93 SCSI chip.
.Sh HARDWARE
The
.Nm
interface supports the following Zorro II expansion cards:
.Bl -tag -width "A2091" -offset indent
.It Em A2091
Commodore SCSI adapter, manufacturer\ 514, product\ 2 or product\ 3
.El
.Sh DIAGNOSTICS
.Bl -diag
.It sbicwait TIMEO @%d with asr=x%x csr=x%x
The 33c93 code (sbic) has been waiting too long for a SCSI chip
operation to complete. %d is the line in the source file
.Pa amiga/dev/sbic.c
at which the SCSI chip timed-out.  Asr and csr are status registers
within the SCSI chip.
.It atzsc%d: abort %s: csr = 0x%02x, asr = 0x%02x
A SCSI operation %s was aborted due to an error.
.It atzsc%d: csr == 0x%02i
A error has occurred within the SCSI chip code.
.It atzsc%d: unexpected phase %d in icmd from %d
The target described by
.Sq from %d
has taken the SCSI bus into a phase which is not
expected during polled IO.
.It atzsc%d: unexpected phase %d in icmd from %d
The target described by
.Sq from %d
has taken the SCSI bus into a phase which is not
expected during DMA IO setup.
.El
.Sh SEE ALSO
.Xr scsibus 4
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.0
